## mingw-w64-python-py-cpuinfo-9.0.0-4.src.tar.zst

=== Makefile ===

VERSION = 9.0.0

.PHONY: all
all:
	@echo build: Builds the python source dist package
	@echo install: Installs python source dist package
	@echo clean: Removes any generated files
	@echo rst: uses pandoc to generate the README.rst file from README.md
	@echo test: Runs the unit tests

.PHONY: clean-temp-files
clean-temp-files:
	rm -f *.pyc
	rm -f */*.pyc
	rm -f -rf __pycache__
	rm -f -rf */__pycache__
	rm -f -rf py_cpuinfo.egg-info
	rm -f -rf dist
	rm -f -rf build

.PHONY: clean-dist-files
clean-dist-files:
	rm -f -rf py-cpuinfo-$(VERSION)
	rm -f -rf py-cpuinfo-$(VERSION).tar.gz
	rm -f -rf py-cpuinfo-$(VERSION).zip
	rm -f -rf py_cpuinfo-$(VERSION)-py3-none-any.whl

.PHONY: clean
clean: clean-temp-files clean-dist-files

.PHONY: _actual_build
_actual_build:
	python3 setup.py sdist --formats=gztar,zip
	python3 setup.py bdist_wheel

build: clean _actual_build move_built
	$(MAKE) clean-temp-files

.PHONY: move_built
move_built:
	mv dist/py-cpuinfo-$(VERSION).tar.gz py-cpuinfo-$(VERSION).tar.gz
	mv dist/py-cpuinfo-$(VERSION).zip py-cpuinfo-$(VERSION).zip
	mv dist/py_cpuinfo-$(VERSION)-py3-none-any.whl py_cpuinfo-$(VERSION)-py3-none-any.whl

.PHONY: release
release:
	# Create release
	git commit -a -m "Release $(VERSION)"
	git push

	# Create and push tag
	git tag v$(VERSION) -m "Release $(VERSION)"
	git push --tags

.PHONY: upload
upload: clean _actual_build
	twine upload dist/py-cpuinfo-$(VERSION).tar.gz
	twine upload dist/py_cpuinfo-$(VERSION)-py3-none-any.whl

install: remove
	tar xzf py-cpuinfo-$(VERSION).tar.gz
	cd py-cpuinfo-$(VERSION)/ && python3 setup.py install
	rm -f -rf py-cpuinfo-$(VERSION)

	@echo now try "from cpuinfo import get_cpu_info"
	@echo "get_cpu_info()"

remove:
	rm -f -rf /usr/local/lib/python2.7/dist-packages/py_cpuinfo-$(VERSION)-py2.7.egg
	rm -f /usr/local/bin/cpuinfo

test:
	python3 setup.py test

rst:
	rm -f -rf README.rst
	pandoc --from=markdown --to=rst --output=README.rst README.md

=== PKGBUILD ===
# Maintainer: J. Peter Mugaas <jpmugaas@suddenlink.net>

_realname=py-cpuinfo
pkgbase=mingw-w64-python-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-python-${_realname}")
provides=("${MINGW_PACKAGE_PREFIX}-python3-${_realname}")
conflicts=("${MINGW_PACKAGE_PREFIX}-python3-${_realname}")
replaces=("${MINGW_PACKAGE_PREFIX}-python3-${_realname}")
pkgver=9.0.0
pkgrel=4
pkgdesc="Get CPU info with pure Python 2 & 3 (mingw-w64)"
arch=('any')
mingw_arch=('mingw32' 'mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://github.com/workhorsy/py-cpuinfo'
msys2_references=(
  'pypi: py-cpuinfo'
)
license=('MIT')
depends=("${MINGW_PACKAGE_PREFIX}-python")
makedepends=("${MINGW_PACKAGE_PREFIX}-python-setuptools")
checkdepends=("${MINGW_PACKAGE_PREFIX}-python-pytest")
source=("${_realname}-${pkgver}.tar.gz"::"https://github.com/workhorsy/py-cpuinfo/archive/v${pkgver}.tar.gz")
sha256sums=('21dfd34d85f4d1419aad63f4945d7356025794fd1529c95644f618aac390625c')

prepare() {
  rm -rf python-build-${CARCH} | true
  cp -r "${_realname}-${pkgver}" "python-build-${CARCH}"

  # Set version for setuptools_scm
  export SETUPTOOLS_SCM_PRETEND_VERSION=${pkgver}
}

build() {
  cd "${srcdir}/python-build-${CARCH}"
  ${MINGW_PREFIX}/bin/python setup.py build
}

check() {
  cd "${srcdir}/python-build-${CARCH}"
  ${MINGW_PREFIX}/bin/python -m pytest
}

package() {
  cd "${srcdir}/python-build-${CARCH}"
  MSYS2_ARG_CONV_EXCL="--prefix=;--install-scripts=;--install-platlib=" \
  ${MINGW_PREFIX}/bin/python setup.py install --prefix=${MINGW_PREFIX} \
    --root="${pkgdir}" --optimize=1 --skip-build

  install -Dm644 LICENSE "${pkgdir}${MINGW_PREFIX}/share/licenses/python-${_realname}/COPYING"

  for _f in "${pkgdir}${MINGW_PREFIX}"/bin/*-script.py; do
    sed -e '1 { s/^#!.*$// }' -i ${_f}
  done
}
